Manuel Rüger | 25 Oct 18:10 2014
Picon

Last rites: net-print/foomatic-filters-ppds


# Deprecated by upstream, Debian removed it in 2010.
# Contents of this package moved to foomatic-db{,-engine,-ppds}
# and cups-filters.
# Masking for removal in 30 days.
net-print/foomatic-filters-ppds

Tim Harder | 25 Oct 10:33 2014
Picon

last rites: dev-util/cmockery

# Tim Harder <radhermit <at> gentoo.org> (25 Oct 2014)                                                                                                                        
# Deprecated project, devwlopment continues in dev-util/cmocka.                                                                                                          
# Masked for removal in 30 days.                                                                                                                                         
dev-util/cmockery
Tim Harder | 25 Oct 10:14 2014
Picon

last rites: dev-python/pry

# Tim Harder <radhermit <at> gentoo.org> (25 Oct 2014)                                                                                                                        
# Upstream migrated to nose for testing instead of their own framework.                                                                                                  
# Masked for removal in 30 days.                                                                                                                                         
dev-python/pry
Andreas K. Huettel | 24 Oct 21:57 2014
Picon

last rites: dev-perl/DateTime-Format-DateManip

# Andreas K. Huettel <dilfridge <at> gentoo.org> (24 Oct 2014)
# Fails tests (bug 421797), no reverse deps in tree, VERY dead
# upstream, last release 10 years ago. Masked for removal in 30 days.
dev-perl/DateTime-Format-DateManip

--

-- 

Andreas K. Huettel
Gentoo Linux developer 
dilfridge <at> gentoo.org
http://www.akhuettel.de/

Andreas K. Huettel | 24 Oct 21:32 2014
Picon

last rites: dev-perl/SVN-Mirror


# Andreas K. Huettel <dilfridge <at> gentoo.org> (24 Oct 2014)
# Fails tests (bug 277407), no reverse deps in tree, no releases
# since many years, unlikely to work with uptodate subversion
# Masked for removal in 30 days
dev-perl/SVN-Mirror

--

-- 

Andreas K. Huettel
Gentoo Linux developer 
dilfridge <at> gentoo.org
http://www.akhuettel.de/

Anthony G. Basile | 24 Oct 19:12 2014
Picon

status of bugs blocking gcc-4.8.3

Hi everyone,

Regarding blockers against bug  #461954 "(gcc-4.8) GCC 4.8 porting" and  
bug #516152 "(gcc-4.8-stable) sys-devel/gcc-4.8.? stabilization" here is 
the current situation:

bug #516548 - (PR61538) broken atomic on MIPS R10000
-> As far as I can tell, this only effects R10000.  It does not effect 
the fulong or longson (lemote netbooks), nor some other router boards i 
have.

bug #503838 - (PR60465) sys-libs/glibc: building w/gcc-4.8 crashes early 
on ia64
-> This effects only ia64.

bug #500064 - app-emulation/virtualbox-4.3.6 fails to build with gcc 
4.8.x in bundled iPXE
-> Poly-C wants to stabilize these along side gcc-4.8.

bug #465268 - dev-embedded/msp430-gcc-4.6.3_p20120406 with gcc-4.8.0
-> This is working with gcc-4.9 and doesn't need to hold up 4.8.

bug 458706 - PaX: Max. per-task virtual memory too small for llvm asan 
and gcc-4.8 asan
-> AddressSanitizer doesn't work with a PaX hardened kernel. Nor does it 
work on several arches nor on musl.  vapier has done some masking here.

bug 513386 - net-libs/webkit-gtk-2.4.3 - ./.libs/libwebkitgtk-3.0.so: 
undefined reference to `_ZNSt6chrono12steady_clock3nowEv <at> GLIBCXX_3.4.17'
-> This is a problem.  It relates to abi mismatching with libstdc++.  
(Continue reading)

Davide Pesavento | 23 Oct 22:31 2014
Picon

[PATCH 2/2] multilib-minimal.eclass: use run_in_build_dir().

Index: multilib-minimal.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/multilib-minimal.eclass,v
retrieving revision 1.9
diff -u -r1.9 multilib-minimal.eclass
--- multilib-minimal.eclass 2 May 2014 16:16:37 -0000 1.9
+++ multilib-minimal.eclass 23 Oct 2014 20:24:23 -0000
<at> <at> -30,7 +30,7 <at> <at>
 esac


-inherit eutils multilib-build
+inherit eutils multibuild multilib-build

 EXPORT_FUNCTIONS src_configure src_compile src_test src_install

<at> <at> -41,17 +41,14 <at> <at>
  multilib-minimal_abi_src_configure() {
  debug-print-function ${FUNCNAME} "$ <at> "

- mkdir -p "${BUILD_DIR}" || die
- pushd "${BUILD_DIR}" >/dev/null || die
  if declare -f multilib_src_configure >/dev/null ; then
  multilib_src_configure
  else
  default_src_configure
  fi
- popd >/dev/null || die
  }

- multilib_parallel_foreach_abi multilib-minimal_abi_src_configure
+ multilib_parallel_foreach_abi run_in_build_dir multilib-minimal_abi_src_configure
 }

 multilib-minimal_src_compile() {
<at> <at> -60,16 +57,14 <at> <at>
  multilib-minimal_abi_src_compile() {
  debug-print-function ${FUNCNAME} "$ <at> "

- pushd "${BUILD_DIR}" >/dev/null || die
  if declare -f multilib_src_compile >/dev/null ; then
  multilib_src_compile
  else
  default_src_compile
  fi
- popd >/dev/null || die
  }

- multilib_foreach_abi multilib-minimal_abi_src_compile
+ multilib_foreach_abi run_in_build_dir multilib-minimal_abi_src_compile
 }

 multilib-minimal_src_test() {
<at> <at> -78,16 +73,14 <at> <at>
  multilib-minimal_abi_src_test() {
  debug-print-function ${FUNCNAME} "$ <at> "

- pushd "${BUILD_DIR}" >/dev/null || die
  if declare -f multilib_src_test >/dev/null ; then
  multilib_src_test
  else
  default_src_test
  fi
- popd >/dev/null || die
  }

- multilib_foreach_abi multilib-minimal_abi_src_test
+ multilib_foreach_abi run_in_build_dir multilib-minimal_abi_src_test
 }

 multilib-minimal_src_install() {
<at> <at> -96,7 +89,6 <at> <at>
  multilib-minimal_abi_src_install() {
  debug-print-function ${FUNCNAME} "$ <at> "

- pushd "${BUILD_DIR}" >/dev/null || die
  if declare -f multilib_src_install >/dev/null ; then
  multilib_src_install
  else
<at> <at> -111,9 +103,8 <at> <at>

  multilib_prepare_wrappers
  multilib_check_headers
- popd >/dev/null || die
  }
- multilib_foreach_abi multilib-minimal_abi_src_install
+ multilib_foreach_abi run_in_build_dir multilib-minimal_abi_src_install
  multilib_install_wrappers

  if declare -f multilib_src_install_all >/dev/null ; then
Attachment (multilib-minimal.patch): application/octet-stream, 3375 bytes
Davide Pesavento | 23 Oct 22:30 2014
Picon

[PATCH 1/2] multibuild.eclass: make sure BUILD_DIR exists before pushd'ing into it.

Index: multibuild.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/multibuild.eclass,v
retrieving revision 1.18
diff -u -r1.18 multibuild.eclass
--- multibuild.eclass 10 May 2014 21:36:49 -0000 1.18
+++ multibuild.eclass 23 Oct 2014 20:10:21 -0000
<at> <at> -237,6 +237,7 <at> <at>
  [[ ${#} -ne 0 ]] || die "${FUNCNAME}: no command specified."
  [[ ${BUILD_DIR} ]] || die "${FUNCNAME}: BUILD_DIR not set."

+ mkdir -p "${BUILD_DIR}" || die
  pushd "${BUILD_DIR}" >/dev/null || die
  "${ <at> }"
  ret=${?}
Attachment (multibuild.patch): application/octet-stream, 753 bytes
Anthony G. Basile | 21 Oct 23:14 2014
Picon

RFC: News item about musl upgrade

Hi everyone,

musl is an experimental new standard C library.  Its actively being 
developed by Rich Felker (dalias) and I've got it working in Gentoo for 
amd64, i686, armv7a and mipsel3.  The amd64 and armv7a stages even have 
userland hardening.

musl only recently got Native Language Support (nls), ie gettext() and 
friends.  In previous gentoo-musl stage3's, I was using 
sys-devel/gettext to provide nls via libintl.so.  But now musl provides 
it as glibc does.  I recently migrated the ebuilds and stages to nls 
support via musl.  I recommend starting with new stages, but users that 
want to upgrade their systems are going to have to do extra steps.  This 
news item describes those extra steps.

Title: Upgrading to musl 1.1.5
Author: Anthony G. Basile <blueness <at> gentoo.org>
Content-Type: text/plain
Posted: 2014-10-20
Revision: 1
News-Item-Format: 1.0
Display-If-Installed: sys-libs/musl

Versions 1.1.4 and above of musl provides Native Language Support (nls).  Up
till now, Gentoo musl stages have used GNU gettext to provide nls via 
libintl.so
and linked applications against it.  Beginning with musl-1.1.5 we are 
switching
to nls provided by musl.  Since musl is experimental, you are better off 
starting
with a new stage3 dated later than 2014-10-20.  However, if you wish to 
upgrade
an existing system, you can proceed as follows:

1. Remove any references to -lintl from /etc/portage/package.env and
/etc/portage/env/*.  If you did not modify these from the original stage3
then you can just do `rm -rf /etc/portage/package.env /etc/portage/env`

2. Update your system, except for musl:

     emerge --exclude musl -uvNDq world

3. Remove the libintl header belonging to gettext:

     rm -f /usr/include/libintl.h

4. Now you can update musl without a file collision:

     emerge -1q =sys-libs/musl-1.1.5

5. We need to turn USE=nls off in gettext:

     echo "=sys-devel/gettext-0.19.3 ~amd64" >> 
/etc/portage/package.accept_keywords
     echo "sys-devel/gettext -nls" >> /etc/portage/package.use
     emerge -1 gettext

Replace ~amd64 with your arch.

6. Rebuild any packages that might be linking against libintl.so:

     USE=-nls emerge -uvDNq world

7. The previous step probably missed some executables, so find them all:

     for i in /bin/* /sbin/ /usr/bin/* /usr/sbin/* ; do
         readelf -d $i 2>&1 | grep -q libintl.so && echo $i
     done

You can identify what packages these belong to uing `equery b <exe>`  
Rebuild
those packages.

8. At this point you can remove /usr/lib/libintl.so*.  To be safe, check 
that
all your coreutils utilities (like mv, cp, ls, etc.) really aren't linking
against libintl.so as described in the previous step and then mv that 
library
out of the dynamic linker's search path.

9. While not strictly necessary, you can rebuild your entire system to make
sure everything links nicely against the new libc.so: emerge -evq world

--

-- 
Anthony G. Basile, Ph.D.
Gentoo Linux Developer [Hardened]
E-Mail    : blueness <at> gentoo.org
GnuPG FP  : 1FED FAD9 D82C 52A5 3BAB  DC79 9384 FA6E F52D 4BBA
GnuPG ID  : F52D4BBA

Davide Pesavento | 20 Oct 02:34 2014
Picon

Last rites: net-im/qutim

# Davide Pesavento <pesa <at> gentoo.org> (20 Oct 2014)
# Does not build with any in-tree version of cmake since 20140713 (bug 506614).
# Jabber plugin is broken (bug 464690). Masked for removal in 30 days.
net-im/qutim

Anthony G. Basile | 20 Oct 00:53 2014
Picon

RFC: News item regarding c++98 vs c++11

Hi everyone,

I debated about whether to write a news item about c++11 abi. Usually 
our news items are about some change which requires user intervention.  
But this is just precautionary.  With more packages needing c++11 
because of source changes, we may want to inform users about breakage at 
the ABI level in case they do something like add -std=c++11 to their 
global CXXFLAGS.

Let me know if you think its worth sending out and/or any other suggestions.

Title: GCC 4.7 Introduces New c++11 ABI
Author: Anthony G. Basile <blueness <at> gentoo.org>
Content-Type: text/plain
Posted: 2014-10-20
Revision: 1
News-Item-Format: 1.0
Display-If-Installed: >=sys-devel/gcc-4.7.0
Display-If-Keyword: amd64
Display-If-Keyword: arm
Display-If-Keyword: mips
Display-If-Keyword: ppc
Display-If-Keyword: ppc64
Display-If-Keyword: x86
Display-If-Keyword: amd64-fbsd
Display-If-Keyword: x86-fbsd

GCC 4.7 introduced the new experimental 2011 ISO C++ standard [1], along 
with
its GNU variant.  This new standard is not the default in GCC 4.7, 4.8 
or 4.9,
the default is still gnu++98, but it can be enabled by passing -std=c++11 or
-std=gnu++11 to CXXFLAGS.

Users that wish to try c++11 should exercise caution because it is not
ABI-compatible with c++98.  Thus linking c++98 and c++11 objects is 
likely to
cause breakage.  For packages which are self-contained and do not link 
against
any libraries written in C++, there is no problem.  However, switching 
to c++11
and then building packages which link against any of the numerous 
libraries still
in the older ABI, can lead to a crippled system.

This is a precautionary news item and the typical user need not do anything.
However, as c++11 gains in popularity and the number of packages using it
increase, it is important that users understand these precautions.

For an ABI compliance checker, and more information about C++ ABIs, see 
[2].

Ref.
[1] http://www.stroustrup.com/C++11FAQ.html
[2] http://ispras.linuxbase.org/index.php/ABI_compliance_checker

--

-- 
Anthony G. Basile, Ph.D.
Gentoo Linux Developer [Hardened]
E-Mail    : blueness <at> gentoo.org
GnuPG FP  : 1FED FAD9 D82C 52A5 3BAB  DC79 9384 FA6E F52D 4BBA
GnuPG ID  : F52D4BBA


Gmane